%global momorel 4

Summary:	POE-Filter-IRCD module for perl 
Name:		perl-POE-Filter-IRCD
Version:	2.42
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
#Source0:	http://www.cpan.org/modules/by-module/POE/POE-Filter-IRCD-#%%{version}.tar.gz
Source0:	http://www.cpan.org/authors/id/B/BI/BINGOS/POE-Filter-IRCD-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/POE/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.8
BuildArch:	noarch

%description
POE-Filter-IRCD module for perl

%prep
%setup -q -n POE-Filter-IRCD-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > POE-Filter-IRCD-%{version}-filelist
if [ "$(cat POE-Filter-IRCD-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f POE-Filter-IRCD-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.42-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-2m)
- rebuild against perl-5.12.0

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-1m)
- update to 2.42

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.40-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-2m)
- rebuild against perl-5.10.1

* Mon May  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.38-2m)
- rebuild against rpm-4.6

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-1m)
- update to 2.38

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.35-2m)
- rebuild against gcc43

* Fri Jan  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.35-1m)
- update to 2.35

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34-1m)
- update to 2.34

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-1m)
- update to 2.32

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.31-1m)
- update to 2.31
- do not use %%NoSource macro

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.30-1m)
- update to 2.30

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-1m)
- spec file was autogenerated
